#include <bits/stdc++.h>

using namespace std;

int main()
{
    srand(time(0));
    int t;
    cin >> t;
    for(int i = 0; i < t; i++)
    {
        int a, b;
        cin >> a >> b;
        int ar[a];
        for(int j = 0; j < a; j++) cin >> ar[j];
        cout << rand() % b + 1;
    }
    return 0;
}
